ENUM W1_NETLINK_MESS(9)

NAME
enum_w1_netlink_message_types - message type

SYNOPSIS

enum w1_netlink_message_types {
  W1_SLAVE_ADD,
  W1_SLAVE_REMOVE,
  W1_MASTER_ADD,
  W1_MASTER_REMOVE,
  W1_MASTER_CMD,
  W1_SLAVE_CMD,
  W1_LIST_MASTERS
};

CONSTANTS

W1_SLAVE_ADD
    notification that a slave device was added

W1_SLAVE_REMOVE
    notification that a slave device was removed

W1_MASTER_ADD
    notification that a new bus master was added

W1_MASTER_REMOVE
    notification that a bus masterwas removed

W1_MASTER_CMD
    initiate operations on a specific master

W1_SLAVE_CMD
    sends reset, selects the slave, then does a read/write/touch operation

W1_LIST_MASTERS
    used to determine the bus master identifiers

AUTHOR

David Fries <David@Fries.net>
    Author.

COPYRIGHT